Package ru.bitel.bgbilling.modules.voice.server.bean.code

# Class VoiceCostMapItemDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<VoiceCostMapItem>
ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.server.bean.code.VoiceCostMapItemDao

public class VoiceCostMapItemDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceCostMapItem>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMapItemDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<Integer,List<VoiceCostMapItem>>`
  `codeMap(int codeId, int costMapId)`
  `void`
  `deleteByMapId(int id)`
  `protected VoiceCostMapItem`
  `getFromRS(ResultSet rs)`
  `List<VoiceCostMapItem>`
  `list(int codeId, int costMapId)`
  Получение списка всех элементов определенной карты цен на все даты
  `List<VoiceCostMapItem>`
  `list(int costMapId, Date date)`
  Получение списка элементов определенной карты цен на определенную дату с подгрузкой названий геокодов и направлений.
  `void`
  `updateHistory(List<VoiceCostMapItem> itemHistory)`
  Запись истории изменений карты цен.
  `protected void`
  `updateImpl(VoiceCostMapItem item)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceCostMapItemDao

    public VoiceCostMapItemDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceCostMapItem getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceCostMapItem>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceCostMapItem item) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceCostMapItem>`
    Throws:
      `SQLException`

  - ### list

    public List<VoiceCostMapItem> list(int costMapId, Date date) throws SQLException
    Получение списка элементов определенной карты цен на определенную дату с подгрузкой названий геокодов и направлений.
    Parameters:
      `costMapId` - код карты цен, элементы которой необходимо получить
      `date` - дата, на которую нужно получить список элементов карты цен.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<VoiceCostMapItem> list(int codeId, int costMapId) throws SQLException
    Получение списка всех элементов определенной карты цен на все даты
    Parameters:
      `costMapId` - код карты цен, элементы которой необходимо получить
      `date` - дата, на которую нужно получить список элементов карты цен.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteByMapId

    public void deleteByMapId(int id) throws SQLException
    Throws:
      `SQLException`

  - ### codeMap

    public Map<Integer,List<VoiceCostMapItem>> codeMap(int codeId, int costMapId) throws SQLException
    Throws:
      `SQLException`

  - ### updateHistory

    public void updateHistory(List<VoiceCostMapItem> itemHistory) throws SQLException
    Запись истории изменений карты цен. Заключается в полном удалении имеющихся записей и записью тех, что пришли в запросе от клиента.
    Parameters:
      `itemHistory` - список изменений цен для кода, в котором могло поменяться направление и даты
    Throws:
      `SQLException`